# POST /api/v1/credit-memos/{credit_memo_id}/apply

> Apply credit memo to invoice

- **Tag:** credit-memos
- **Operation ID:** `apply_credit_memo_api_v1_credit_memos__credit_memo_id__apply_post`

## Description

Apply a portion or all of a credit memo to an invoice.

## Authentication

Bearer token in `Authorization` header.
Required header: `x-business-id: <business uuid>`.

## Parameters

- `credit_memo_id` (path, string, required)

## Request body

Schema: `CreditMemoApplicationCreate`

- `invoice_id` (string · required) — Invoice to apply credit to
- `amount_cents` (integer · required) — Amount to apply in cents

## Responses

### 201 — Successful Response

Schema: `CreditMemoApplicationResponse`

- `id` (string · required) — Application record ID
- `credit_memo_id` (string · required) — Source credit memo ID
- `invoice_id` (string · required) — Invoice the credit was applied to
- `amount_applied` (integer · required) — Amount applied in cents
- `amount_applied_dollars` (string · required) — Amount applied in dollars
- `applied_at` (string · date-time · required) — When the credit was applied
- `applied_by_user_id` (string) — User who applied the credit

### 400 — Bad Request - Invalid input

### 401 — Unauthorized - Authentication required

### 403 — Forbidden - Insufficient permissions

### 404 — Not Found - Resource does not exist

### 422 — Validation Error

Schema: `HTTPValidationError`

- `detail` (array · ValidationError) → `ValidationError`
  - `loc` (array · string | integer · required)
  - `msg` (string · required)
  - `type` (string · required)
  - `input` (object)
  - `ctx` (object)

## Code samples

### cURL

```bash
curl -X POST 'https://api.ondayzero.com/api/v1/credit-memos/{credit_memo_id}/apply' \
  -H 'Authorization: Bearer dz_your_token' \
  -H 'x-business-id: YOUR_BUSINESS_ID' \
  -H 'Content-Type: application/json' \
  -d '{
  "invoice_id": "string",
  "amount_cents": 0
}'
```

### JavaScript

```javascript
const response = await fetch('https://api.ondayzero.com/api/v1/credit-memos/{credit_memo_id}/apply', {
  method: 'POST',
  headers: {
    Authorization: 'Bearer dz_your_token',
    'x-business-id': 'YOUR_BUSINESS_ID',
    'Content-Type': 'application/json',
  },
  body: JSON.stringify({
  "invoice_id": "string",
  "amount_cents": 0
}),
});
const data = await response.json();
```

### Python

```python
import httpx

headers = {
    "Authorization": "Bearer dz_your_token",
    "x-business-id": "YOUR_BUSINESS_ID",
}

payload = {
  "invoice_id": "string",
  "amount_cents": 0
}

response = httpx.post("https://api.ondayzero.com/api/v1/credit-memos/{credit_memo_id}/apply", headers=headers, json=payload)
data = response.json()
```

## See also

- HTML version: https://www.ondayzero.com/docs/reference/credit-memos/apply-credit-memo
- OpenAPI slice: https://www.ondayzero.com/docs/reference/credit-memos/apply-credit-memo/openapi.json
- Other endpoints in **credit-memos**: https://www.ondayzero.com/docs/reference/credit-memos
